// A simple sketch that draws a rotating 3D cube in 
// the centre of the sketch.

void setup()
{
  size( 500, 500, P3D );
}

void draw()
{
  background( 50 );
  lights();
  fill( 200 );
  noStroke();
  
  pushMatrix();
  translate( width/2, height/2, 0 );
  scale( 200 );
  rotateY( frameCount * 0.01 );
  
  box( 1 );
  popMatrix();
}